<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:tools="http://schemas.android.com/tools"
  xmlns:android="http://schemas.android.com/apk/res/android"
  xmlns:app="http://schemas.android.com/apk/res-auto">

  <data>

    <variable
      name="model"
      type="com.commonsware.todo.ToDoModel" />

    <import type="android.view.View" />
  </data>

  <androidx.constraintlayout.widget.ConstraintLayout
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <ImageView
      android:id="@+id/completed"
      android:layout_width="@dimen/checked_icon_size"
      android:layout_height="@dimen/checked_icon_size"
      android:layout_marginEnd="8dp"
      android:layout_marginTop="8dp"
      android:contentDescription="@string/is_completed"
      android:tint="@color/colorAccent"
      android:visibility="@{model.completed ? View.VISIBLE : View.GONE}"
      app:layout_constraintEnd_toEndOf="parent"
      app:layout_constraintTop_toTopOf="parent"
      app:srcCompat="@drawable/ic_check_circle_black_24dp" />

    <TextView
      android:id="@+id/desc"
      android:layout_width="0dp"
      android:layout_height="wrap_content"
      android:layout_marginEnd="8dp"
      android:layout_marginStart="8dp"
      android:layout_marginTop="8dp"
      android:text="@{model.description}"
      android:textAppearance="?attr/textAppearanceHeadline1"
      app:layout_constraintEnd_toStartOf="@+id/completed"
      app:layout_constraintStart_toStartOf="parent"
      app:layout_constraintTop_toTopOf="parent"
      tools:text="This is something to do" />

    <TextView
      android:id="@+id/labelCreated"
      android:layout_width="wrap_content"
      android:layout_height="wrap_content"
      android:layout_marginStart="8dp"
      android:layout_marginTop="8dp"
      android:text="@string/created_on"
      android:textAppearance="?attr/textAppearanceHeadline2"
      app:layout_constraintStart_toStartOf="parent"
      app:layout_constraintTop_toBottomOf="@+id/desc" />

    <TextView
      android:id="@+id/createdOn"
      android:layout_width="0dp"
      android:layout_height="wrap_content"
      android:layout_marginEnd="8dp"
      android:layout_marginStart="8dp"
      android:layout_marginTop="8dp"
      app:formattedDate="@{model.createdOn}"
      android:textAppearance="?attr/textAppearanceHeadline2"
      app:layout_constraintEnd_toStartOf="@+id/completed"
      app:layout_constraintStart_toEndOf="@+id/labelCreated"
      app:layout_constraintTop_toBottomOf="@+id/desc" />

    <TextView
      android:id="@+id/notes"
      android:layout_width="0dp"
      android:layout_height="0dp"
      android:layout_marginBottom="8dp"
      android:layout_marginEnd="8dp"
      android:layout_marginStart="8dp"
      android:layout_marginTop="8dp"
      android:text="@{model.notes}"
      android:textAppearance="?attr/textAppearanceBody1"
      app:layout_constraintBottom_toBottomOf="parent"
      app:layout_constraintEnd_toEndOf="parent"
      app:layout_constraintStart_toStartOf="parent"
      app:layout_constraintTop_toBottomOf="@+id/createdOn" />
  </androidx.constraintlayout.widget.ConstraintLayout>
</layout>